Bug 1729111 - Issues while creating Catalog Item with Red Hat Virtualization type
Summary: Issues while creating Catalog Item with Red Hat Virtualization type
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.12.0
Assignee: Robin Knaur
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks: 1773701 1773702
TreeView+ depends on / blocked
 
Reported: 2019-07-11 12:30 UTC by Hilda Stastna
Modified: 2020-03-25 18:03 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1773701 1773702 (view as bug list)
Environment:
Last Closed: 2020-03-25 18:03:44 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
Trying to set the Name, under Selected VM section (step 5) (152.65 KB, image/png)
2019-07-11 12:30 UTC, Hilda Stastna
no flags Details

Description Hilda Stastna 2019-07-11 12:30:44 UTC
Created attachment 1589435 [details]
Trying to set the Name, under Selected VM section (step 5)

Description of problem:
Various errors/issues occur while while creating Catalog Item with Red Hat Virtualization type, user has no idea about what's going on. Maybe some flash messages are missing and some exceptions are not caught.

Version-Release number of selected component (if applicable):
5.10, 5.11, maybe also 5.9

How reproducible:
100%

Steps to Reproduce:
1. Go to Services > Catalogs > Catalog Items
2. Configuration > Add a New Catalog Item
3. For Catalog Item Type, choose Red Hat Virtualization
4. Fill in the name and click on Add button
5. Follow the flash messages, try to add the name,
   then also for example Name under Catalog tab, in Selected VM section
=> error during clicking on some name in the table,
   nothing happens in the UI!

Actual results:
Error during clicking on some name in the table (after step 5),
and nothing happens in the UI!
[----] F, [2019-04-24T17:01:06.075987 #28536:2b12ff7816e8] FATAL -- : Error caught: [NoMethodError] undefined method `first' for 2255:Integer
/home/hstastna/manageiq/manageiq-ui-classic/app/controllers/application_controller/miq_request_methods.rb:31:in `prov_field_changed'

Another issue:
When following the flash message 'Environment/Cluster Name' is required and clicking on Environment tab, there is nothing to fill in! But there is an error:
[----] I, [2019-04-24T17:06:01.079000 #28536:2b12ff7821d8]  INFO -- : Started POST "/miq_request/prov_field_changed?tab_id=environment" for ::1 at 2019-04-24 17:06:01 +0200
[----] I, [2019-04-24T17:06:01.142060 #28536:2b12ff7821d8]  INFO -- : Processing by MiqRequestController#prov_field_changed as JS
[----] I, [2019-04-24T17:06:01.142268 #28536:2b12ff7821d8]  INFO -- :   Parameters: {"tab_id"=>"environment"}
[----] F, [2019-04-24T17:06:06.796113 #28536:2b12ff7821d8] FATAL -- : Error caught: [OvirtSDK4::AuthError] Error during SSO authentication: access_denied: Cannot authenticate user 'admin@internal': Unable to log in because the user account is disabled or locked. Contact the system administrator..

But nothing in the UI. I would expect some flash message to be properly informed.

Expected results:
No errors and appropriate flash messages to be displayed.

Additional info:

Comment 6 CFME Bot 2019-11-18 16:41:46 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/0c9b013b3106121f2f3f1754ae07f7e306fde337
commit 0c9b013b3106121f2f3f1754ae07f7e306fde337
Author:     PanSpagetka <rknaur@redhat.com>
AuthorDate: Wed Sep 18 09:26:00 2019 -0400
Commit:     PanSpagetka <rknaur@redhat.com>
CommitDate: Wed Sep 18 09:26:00 2019 -0400

    Add catch exception when loading dialogs
    https://bugzilla.redhat.com/show_bug.cgi?id=1729111

 app/controllers/application_controller/miq_request_methods.rb | 8 +-
 1 file changed, 7 insertions(+), 1 deletion(-)


Note You need to log in before you can comment on or make changes to this bug.